XVIF(4)

NAME
xvif - Xen backend paravirtualized network interface

SYNOPSIS
pseudo-device xvif

DESCRIPTION
The xvif interface forms the backend part of the paravirtualized drivers used by Xen domains to offer network connectivity.

When the guest domain is NetBSD, the endpoint of the xvif interface is a xennet(4) interface. In the XenStore, xvif and xennet are identified by “vif” (virtual interface) entries.

All xvif interfaces follow the “xvifXiY” naming convention, where ‘X’ represents the guest domain identifier, and ‘Y’ an arbitrary identifier; most of the time, it is the frontend interface identifier, e.g. “xennetY”.

For convenience, the MAC address of an xvif interface is chosen by incrementing the third byte of the MAC address of the frontend device.

Conceptually, frontends and backends drivers are similar to two Ethernet cards connected via a crossover cable.

DIAGNOSTICS

xvif%di%d: can't read %s/mac: %d The MAC address for this interface could not be read from XenStore.

xvif%di%d: %s is not a valid mac address The MAC address specified in the configuration file of the newly created guest domain is invalid.

xvif%di%d: Ethernet address %s MAC address of the xvif interface.

SEE ALSO
ifmedia(4), xennet(4), ifconfig(8)

HISTORY
The xvif driver first appeared in NetBSD 4.0.

AUTHORS
-nosplit The xvif driver was written by Manuel Bouyer <bouyer@NetBSD.org>.